<?
include_once("./_common.php");
/*
	지음쪽지 기본 정책 : 2012. 03. 19
	. 차단 된 회원은 본인을 차단 한 회원을 알 수 없음. 프라이버시.
	. 보관쪽지함으로 이동 된 쪽지는 자동 삭제 기한이 지나도 삭제 되지 않음.
	. me_type : 쪽지 종류. 1:차단 쪽지. 2:공지사항이나 자동 알림 쪽지
	. memo_recv_condition : 1=>모두 받기, 2=>친구에게만 받기
*/

if (!$member[mb_id]) 
	if(ZM_IS_MOBILE)
		alert("로그인이 필요합니다.", $g4[path]."/bbs/login.php");
	else
	    alert_close("회원만 이용하실 수 있습니다.");

$g4[title] = "내 쪽지함";
include_once("$g4[path]/head.sub.php");

//-- 설정일이 지난 메모 삭제. 지음빌더에서는 보관쪽지 예외. ziumsoft
if(isset($zm_config)) $swhere = "and me_save_mb_id=''";
$sql = " delete from $g4[memo_table]
          where me_recv_mb_id = '$member[mb_id]'
            and me_send_datetime < '".date("Y-m-d H:i:s", $g4[server_time] - (86400 * $config[cf_memo_del]))."' ".
			$swhere;
sql_query($sql);

if (!$kind) $kind = "recv";

if($kind == "recv")			$unkind = "send";
else if ($kind == "send")	$unkind = "recv";
else if ($kind == "save")	$unkind = "send";
else						alert("\$kind 값을 넘겨주세요.");

//-- 보관함으로 이동 -----ziumsoft---------------
if($mode == "save" && $me_id) {
	$res	= sql_query("update $g4[memo_table] set me_save_mb_id='$member[mb_id]' where me_id='$me_id'");
	if($res) {
		alert("보관함으로 이동 했습니다.", "$_SERVER[PHP_SELF]?kind=save");
	}else{
		zm_artmsg("보관함으로 이동하지 못했습니다.");
	}
}

$sql = " select count(*) as cnt from $g4[memo_table] where me_{$kind}_mb_id = '$member[mb_id]' ";
$row = sql_fetch($sql);
$total_count = number_format($row[cnt]);

//-- 읽지 않은 쪽지 개수 구하기
if(isset($zm_config)) {	$memo_not_read	= zm_new_memo(); }

$current_box	= array();						//-- 선택 메시지 함
if ($kind == "recv") {
    $kind_title	= "받은";
    $recv_img	= "on";
    $send_img	= "off";
	$current_box[0]	= "crntbox";
	$mwhere		= " and a.me_save_mb_id=''";	//-- 보관되지 않은 쪽지만
	$rwhere		= " and a.me_type <> '1'";		//-- 차단 된 쪽지 제외.
} 
else if($kind == "send") {
    $kind_title = "보낸";
    $recv_img	= "off";
    $send_img	= "on";
	$current_box[1]	= "crntbox";
	$mwhere		= " and a.me_save_mb_id=''";		
	$rwhere		= " and a.me_type<>'2'";		//-- 친구 신청 등 공지 쪽지 안보이기
}else if($kind == "save") {
	$kind_title	= "보관";
	$current_box[2]	= "crntbox";
	$mwhere		= " and a.me_save_mb_id<>''";
	$rwhere		= " and a.me_type <> '1'";
}

$list = array();

//-- ziumsoft. 레코드 총 개수. (차단 쪽지 제외)
$res	= sql_query("select me_id from $g4[memo_table] where me_{$kind}_mb_id = '$member[mb_id]' and me_type<>'1'");
$total_memo_count	= mysql_num_rows($res);

if($zm_config[memo_rows] || isset($zm_config)) {
	$total_memo_page = ceil($total_memo_count / $zm_config[memo_rows]);		//-- 전체 페이지 계산
	if (!$mpage) { $mpage = 1; }											// 페이지가 없으면 첫 페이지 (1 페이지)
	$from_rec	= ($mpage - 1) * $zm_config[memo_rows];						//-- 시작 열을 구함

	$sql	= " select a.*, b.mb_id, b.mb_nick, b.mb_email, b.mb_homepage 
		from $g4[memo_table] a
		left join $g4[member_table] b on (a.me_{$unkind}_mb_id = b.mb_id)
		where a.me_{$kind}_mb_id = '$member[mb_id]' $rwhere $mwhere
        order by a.me_id desc
		limit $from_rec, $zm_config[memo_rows]";

		//-- ziumsoft. 메모 페이징
		$memo_pages	= get_paging($zm_config[memo_rows], $mpage, $total_memo_page, "$g4[bbs_path]/memo.php?kind=$kind&me_id=$me_id&$qstr&mpage=");
}else{
	$sql = " select a.*, b.mb_id, b.mb_nick, b.mb_email, b.mb_homepage 
           from $g4[memo_table] a
           left join $g4[member_table] b on (a.me_{$unkind}_mb_id = b.mb_id)
          where a.me_{$kind}_mb_id = '$member[mb_id]' 
          order by a.me_id desc ";
}
$result = sql_query($sql);

$memochkbox	= array();
for ($i=0; $row=sql_fetch_array($result); $i++)
{
    $list[$i]	= $row;
    $mb_id = $row["me_{$unkind}_mb_id"];

    if ($row[mb_nick])
        $mb_nick = $row[mb_nick];
    else
        $mb_nick = "<font color=silver>정보없음</font>";

    $name = get_sideview($row[mb_id], $row[mb_nick], $row[mb_email], $row[mb_homepage]);

    if (substr($row[me_read_datetime],0,1) == '0') {
        $read_datetime			= '아직 읽지 않음';					//-- 그누보드 기본
		$list[$i][read_date]	= "읽지 않음";						//-- 지음빌더
		$list[$i][memo_summary]	= cut_str(strip_tags($list[$i][me_memo]), 150, "...");
		$list[$i][read]			= 0;
    }else{
        $read_datetime			= substr($row[me_read_datetime],2,14);
		$list[$i][read_date]	= date("m.d H:i", strtotime($row[me_read_datetime]));
		$list[$i][memo_summary]	= "<span class='readed'>".cut_str(strip_tags($list[$i][me_memo]), 150, "...")."</span>";
		$list[$i][read]			= 1;
		
	}

    $send_datetime = substr($row[me_send_datetime],2,14);

    $list[$i][name] = $name;
    $list[$i][send_datetime]	= $send_datetime;
    $list[$i][read_datetime]	= $read_datetime;
    $list[$i][view_href]		= "./memo_view.php?me_id=$row[me_id]&kind=$kind";
    $list[$i][del_href]			= "./memo_delete.php?me_id=$row[me_id]&kind=$kind";

	if($list[$i][read] && ($kind == "send")) $memochkbox[$i] = "disabled";
}

echo "<script type='text/javascript' src='$g4[path]/js/sideview.js'></script>";
include_once("$member_skin_path/memo.skin.php");
include_once("$g4[path]/tail.sub.php");
?>
